Using
Deletes a user and all of their domain permissions. The user's API key becomes invalid immediately — in-flight requests with the old key then get `401`.
applies to v0.5.1DELETE
/store-api/auth/users/{name}
const url = 'https://example.com/store-api/auth/users/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/store-api/auth/users/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”name
required
string
Username
Responses
Section titled “Responses”User and all permissions deleted
User not found
Media typetext/plain
string